<?php

class tc_payment_gateway_element extends TC_Ticket_Template_Elements {

	var $element_name		 = 'tc_payment_gateway_element';
	var $element_title		 = 'Payment Gateway';
	var $font_awesome_icon	 = '<i class="fa fa-usd"></i>';

	function on_creation() {
		$this->element_title = apply_filters( 'tc_payment_gateway_title', __( 'Payment Gateway', 'tc' ) );
	}

	function ticket_content( $ticket_instance_id = false, $ticket_type_id = false ) {
		if ( $ticket_instance_id ) {
			$ticket_instance = new TC_Ticket_Instance( (int) $ticket_instance_id );
			$order			 = new TC_Order( $ticket_instance->details->post_parent );
			$payment_gateway		 = $order->details->tc_cart_info[ 'gateway_admin_name' ] . ' ' . $order->details->tc_cart_info[ 'buyer_data' ][ '' ];
			return apply_filters( 'tc_order_payment_gateway_name', $payment_gateway, $order->details->ID );
		} else {
			return apply_filters( 'tc_order_payment_gateway_name', __( 'Payment Gateway', 'tc' ) );
		}
	}

}

tc_register_template_element( 'tc_payment_gateway_element', __( 'Payment Gateway', 'tc' ) );
